GET
/api/v4/social/brands/{brandId}取得品牌
傳回單一社群品牌,包含其個人檔案詳細資料、時區、封存狀態及已連結管道數量。
參數
路徑
| 名稱 | 類型 | 必填 | 說明 |
|---|---|---|---|
| brandId | string | 必填 | Brand UUID, the `socialProfile.id` returned by POST /social/brands or the `id` of a row from GET /social/brands. |
回應
200The brand.
{ "data": { "getSocialProfileDetails": { "id": "6f2c9a41-7b0e-4d55-9a2f-3c8e1d47b902", "profileName": "Jenny Home", "archived": false, "logo": "https://cdn.listingsapi.com/social/brands/6f2c9a41/logo.png", "profileLogo": "https://cdn.listingsapi.com/social/brands/6f2c9a41/logo.png", "siteUrl": "https://jennyhome.example", "countryIso": "US", "bio": "Handmade furniture for real homes.", "businessIntent": "A family-run home furnishings store selling handmade furniture and textiles.", "categories": ["Furniture Store", "Home Goods"], "brandHashtags": ["jennyhome", "handmadefurniture"], "competitorHashtags": ["localfurniture"], "connectedChannelCount": 3, "timezone": { "label": "(GMT-05:00) Eastern Time", "tzCode": "America/New_York", "name": "Eastern Standard Time", "utc": "-05:00" }, "contentPreferredLanguage": "en" } }}401Unauthenticated, missing or invalid API key.
404No brand with that ID on this account (`SY95043`).
透過 UUID 擷取單一品牌。回傳內容與 GET /social/brands 中的一筆資料相同,因此當您已持有 brandId 並想取得最新資料時,可使用此端點,無須重新列出品牌。
使用案例:在發布畫面上顯示品牌標頭。 讀取 profileName 和 logo 以標示貼文編輯器,並讀取 timezone.tzCode,以 API 實際解讀排程時間所用的時區顯示時間。使用 scheduleDate + scheduleTime 排程的貼文會依據此欄位設定時間,因此向讀者顯示其他時區的時間,容易造成數小時的誤差。
使用案例:發布前檢查。 如果 connectedChannelCount 為 0,就沒有可發布的目的地。請引導使用者前往連線連結,避免讓他們撰寫最終會遭到拒絕並傳回 SY95045 的貼文。
注意事項。
brandId是一般 UUID。若像處理地點 ID 一樣將其做 Base64 編碼,就會得到404。brandId僅用作路徑參數。相同的值在請求主體中以socialProfileId出現;這 2 個名稱代表不同位置中的同一個 ID。- 對於已封存的品牌,
archived為true。僅已排程封存的品牌仍會顯示archived: false,請參閱封存品牌。 timezone.tzCode是用來解析排程的 IANA 識別碼;其餘 3 個時區欄位則是顯示標籤。- 若要取得品牌的個別連線,包括其平台和連線 ID,請呼叫
GET /social/brands/{brandId}/connections。
Request
curl -X GET 'https://listingsapi.com/api/v4/social/brands/<brandId>' \ -H "Authorization: API $LISTINGSAPI_KEY"